## gnome-session 3.20.2

=== debian/changelog ===
gnome-session (3.20.2-1ubuntu7) yakkety; urgency=medium

  [ Iain Lane ]
  * debian/patches/export_env_to_upstart.patch: Update the Upstart environment
    before the plain D-Bus one. This is to work around a bug where Upstart
    brokenly forwards variables which contain an "=" to the D-Bus environment,
    resulting in invalid environment variables in the session (see bug
    #1630090).

  [ Martin Pitt ]
  * debian/data/ubuntu-session.target: Pull in graphical-session-pre.target,
    as we do not implicitly do it in run-systemd-session any more.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 04 Oct 2016 13:16:09 +0200

gnome-session (3.20.2-1ubuntu6) yakkety; urgency=medium

  * Set DesktopNames back to Unity. There are many buggy components that don't
    know how to deal with XDG_CURRENT_DESKTOP having multiple values, and it's
    too close to the release to fix them all.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 03 Oct 2016 17:37:57 +0100

gnome-session (3.20.2-1ubuntu5) yakkety; urgency=medium

  * debian/data/run-systemd-session: Drop the polling loops at the start and
    end of the session and replace them with dynamically generated
    "After=graphical-session-pre.target". Stopping that target then provides
    the same waiting using systemd's transactions instead of polling. This is
    still a workaround until this can be done declaratively, but a much better
    one.
  * debian/data/run-systemd-session: Use the new "systemctl start --wait"
    instead of a polling loop. Bump systemd dependency accordingly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 02 Oct 2016 11:38:37 +0200

gnome-session (3.20.2-1ubuntu4) yakkety; urgency=medium

  * debian/data/run-systemd-session: Stop any lingering active units when
    logging in. (LP: #1618886)
  * debian/data/gnome-session.service: Save the XDG SESSION we were started
    with, and only use that one to end the session. Otherwise, if we are
    stopped by the above codepath, we risk stopping the session that we are
    logging into and not the previous (crashed) one.
  * debian/patches/50_ubuntu_sessions.patch: Set the desktop names to
    Unity:Unity7. "Unity" is shared between Unity 7 and Unity 8, but
    applications should be able to Only/NotShowIn either one of these if they
    want.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 28 Sep 2016 12:09:16 +0100

gnome-session (3.20.2-1ubuntu3) yakkety; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to allow users to override $QT_QPA_PLATFORMTHEME
    (allow_overriding_qt_platformtheme.patch).

  [ Martin Pitt ]
  * debian/data/run-systemd-session: Add missing $unit to systemctl show call,
    so that the cleanup of failed units actually works. (LP: #1618886)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Sep 2016 15:27:56 +0200

gnome-session (3.20.2-1ubuntu2) yakkety; urgency=medium

  * debian/patches/dont_override_IM_variables.patch:
    - Honor values set by e.g. im-config, and with that give users
      the option to use fcitx or other framework (LP: #1594681).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 14 Aug 2016 02:04:00 +0200

gnome-session (3.20.2-1ubuntu1) yakkety; urgency=medium

  [ Tim Lunn ]
  * Merge from Debian unstable.  Remaining changes (LP: #1512914):
    - debian/control.in:
      + Recommend session-migration
      + Remove gnome-shell circular dep to ease uprades
    - Split ubuntu-session out of gnome-session.
    - Split wayland session into gnome-session-wayland
      + control.in: add gnome-session-wayland package and depend on xwayland
      + gnome-session-wayland.install: install wayland session
    - Add upstart user session
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install defaults.list (installed by desktop-file-utils in ubuntu):
      debian/gnome-session-common.dirs and gnome-session-common.install
    - debian/patches/13_display_session_properties.patch: Display
      session-properties as the Startup Applications capplet was removed from
      gnome-control-center, which makes it hard to discover the
      gnome-session-properties tool. (Closes: #683814)
    - debian/patches/22_support_autostart_delay.patch:
       Bugzilla patch to support adding a delay to autostart apps, using
       a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/50_ubuntu_sessions.patch:
       + Add Ubuntu session
       + gnome-shell.desktop adds --session=gnome now that the "ubuntu" session
         is the default. Use TryExec to test if gnome-shell is installed.
    - debian/patches/51_remove_session_saving_from_gui.patch:
       add GNOME_SESSION_SAVE environment variable for people wanting to
       use the save session still, knowing that it can break your system
       if used unwisely
    - debian/patches/53_add_sessionmigration.patch, debian/control:
      recommends and launch the session-migration if present at the start of
      the session. This sync tool is running different session migration
      scripts that can be provided in various desktop packages.
    - debian/patches/95_dbus_request_shutdown.patch: Add "RequestShutdown" and
      "RequestReboot" DBus methods to allow other applications to shutdown or
      reboot the machine via the session manager.
    - debian/patches/103_kill_the_fail_whale.patch: Kill the Fail Whale as it
      tends to be more annoying than helpful
    - debian/patches/revert_remove_gnome_session_properties.patch: Keep the
      session-properties applet for ubuntu sessions
    - debian/patches/Revert-switch-to-Xorg-by-default.patch: Disabled for now,
      we will keep Xorg as default for the time being
  * Refresh Patches as Required 

  [ Iain Lane ]
  * Update the merge on top of 3.20.2-1 and 3.18.1.2-1ubuntu5
    - Add systemd user session support
  * Adapt our packaging for debhelper instead of cdbs

