=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-session
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Standards-Version: 3.9.8
Build-Depends: dh-autoreconf,
               dh-exec,
               debhelper (>= 9),
               gnome-pkg-tools (>= 0.13),
               gnome-common,
               intltool (>= 0.40.6),
               libglib2.0-dev (>= 2.46.0),
               libgtk-3-dev (>= 3.18.0),
               libjson-glib-dev (>= 0.10),
               libgnome-desktop-3-dev (>= 3.18.0),
               libsm-dev,
               libice-dev,
               libx11-dev,
               libxt-dev,
               libxau-dev,
               libxext-dev,
               libxcomposite-dev,
               libgl1-mesa-dev,
               libxtst-dev,
               libxrender-dev,
               xmlto,
               xsltproc,
               xtrans-dev,
               libsystemd-dev (>= 209) [linux-any]
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/gnome-session/ubuntu

Package: gnome-session
Architecture: all
Depends: ${misc:Depends},
         gnome-settings-daemon (>= 3.0),
         gnome-shell (>= 3.19),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-common (= ${binary:Version})
Recommends: session-migration
Suggests: gnome-user-guide,
          desktop-base,
          gnome-keyring
Provides: x-session-manager
Description: GNOME Session Manager - GNOME 3 session
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the required components for the standard GNOME 3
 session, based on the GNOME Shell. It can be started from a display
 manager such as GDM, and requires 3D acceleration to work properly.

Package: gnome-session-wayland
Architecture: linux-any
Depends: ${misc:Depends},
         gnome-settings-daemon (>= 3.0),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-common (= ${source:Version}),
         xwayland [linux-any]
Recommends: session-migration
Breaks: gnome-session (<< 3.14.0-2ubuntu3~vivid2)
Replaces: gnome-session (<< 3.14.0-2ubuntu3~vivid2)
Provides: x-session-manager
Description: GNOME Session Manager - GNOME 3 session
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the required components for the wayland GNOME 3
 session, based on the GNOME Shell. It can be started from a display
 manager such as GDM, and requires 3D acceleration to work properly.

Package: ubuntu-session
Architecture: all
Depends: ${misc:Depends},
         dbus-user-session,
         systemd (>= 231-1~),
         unity-settings-daemon,
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-common (= ${binary:Version})
Conflicts: gnome-session (<< 3.9.90-0ubuntu8),
           ubuntu-settings (<< 14.04.4)
Replaces: gnome-session (<< 3.9.90-0ubuntu8),
          ubuntu-settings (<< 14.04.4)
Recommends: session-migration
Provides: x-session-manager
Breaks: upstart (<< 1.13.2-0ubuntu28~)
Description: Ubuntu session
 This package contains the required components for the standard Ubuntu session,
 based on Unity. It can be started from a display manager such as LightDM.

Package: gnome-session-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus-x11,
         gsettings-desktop-schemas,
         upower (>= 0.9.0),
Recommends: libpam-systemd [linux-any]
Conflicts: gnome-session (<< 3.9.90-0ubuntu8)
Breaks: gdm3 (<< 3.8)
Description: GNOME Session Manager - Minimal runtime
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the GNOME Session Manager, but
 no startup scripts. It is meant for those willing to start
 gnome-session by hand with the components of their choice, and for
 applications such as GDM that use gnome-session internally.

Package: gnome-session-common
Architecture: all
Depends: ${misc:Depends}
Description: GNOME Session Manager - common files
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the GNOME and GNOME fallback sessions.
