## gnome-session 3.24.0

=== debian/changelog ===
gnome-session (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Mar 2017 19:43:33 -0400

gnome-session (3.23.92-0ubuntu1) zesty; urgency=medium

  * New upstream translation release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Mar 2017 20:09:34 -0400

gnome-session (3.23.91-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2017 20:16:08 -0500

gnome-session (3.23.4.1-0ubuntu2) zesty; urgency=medium

  * debian/patches/50_ubuntu_sessions.patch: Let's have another go at setting
    XDG_CURRENT_DESKTOP to Unity:Unity7.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 16 Feb 2017 17:48:14 +0000

gnome-session (3.23.4.1-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum gnome-settings-daemon to 3.23.3
  * Refreshed export_env_to_upstart.patch
  * Dropped git_wayland_login_shell.patch, applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Feb 2017 18:24:14 -0500

gnome-session (3.22.2-2ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Remove gnome-shell circular dependency to ease upgrades
      + Don't suggest desktop-base
      + Move xwayland dependency to gnome-session and
        make gnome-session Arch: any
    - Split ubuntu-session out of gnome-session.
    - Add upstart user session and systemd user session:
      debian/data, debian/gnome-session-bin.user-session.upstart
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - Add gnome-session-wayland transitional package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/revert_remove_gnome_session_properties.patch,
      debian/patches/revert_remove_gnome_session_properties2.patch:
      + Keep the session-properties applet for ubuntu sessions
    - debian/patches/13_display_session_properties.patch: Display
      session-properties as the Startup Applications capplet was removed from
      gnome-control-center, which makes it hard to discover the
      gnome-session-properties tool. (Closes: #683814)
    - debian/patches/22_support_autostart_delay.patch:
      Bugzilla patch to support adding a delay to autostart apps, using
      a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/50_ubuntu_sessions.patch, debian/gnome-wayland.desktop:
      + Add Ubuntu session
      + Add --session=gnome to GNOME sessions now that the "ubuntu" session
        is the default. Use TryExec to test if gnome-shell is installed.
    - debian/patches/51_remove_session_saving_from_gui.patch:
      add GNOME_SESSION_SAVE environment variable for people wanting to
      use the save session still, knowing that it can break your system
      if used unwisely
    - debian/patches/53_add_sessionmigration.patch:
      launch session-migration if present at the start of the session. This
      sync tool runns different session migration scripts that can be
      provided in various desktop packages.
    - debian/patches/95_dbus_request_shutdown.patch: Add "RequestShutdown" and
      "RequestReboot" DBus methods to allow other applications to shutdown or
      reboot the machine via the session manager.
    - debian/patches/103_kill_the_fail_whale.patch: Kill the Fail Whale as it
      tends to be more annoying than helpful
    - debian/patches/export_env_to_upstart.patch: Update the Upstart environment
      before the plain D-Bus one. This is to work around a bug where Upstart
      brokenly forwards variables which contain an "=" to the D-Bus environment,
      resulting in invalid environment variables in the session (see bug
      #1630090).
  * Dropped patch applied in new version:
    - git_fix_gpu_cache_info.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Feb 2017 05:02:59 -0500
