=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Source: gnome-session
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 10),
+               dh-exec,
                gnome-pkg-tools (>= 0.13),
                gnome-common,
                intltool (>= 0.40.6),
@@ -31,21 +33,24 @@
                xsltproc,
                xtrans-dev,
                libsystemd-dev (>= 209) [linux-any]
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-session
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-session
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/gnome-session/ubuntu
 
 Package: gnome-session
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends},
-         gnome-settings-daemon (>= 3.0),
-         gnome-shell (>= 3.19),
+         gnome-settings-daemon (>= 3.23.3),
+#         gnome-shell (>= 3.19),
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-bin (<< ${gnome:NextVersion}),
-         gnome-session-common (= ${binary:Version})
+         gnome-session-common (= ${binary:Version}),
+         xwayland [linux-any]
+Recommends: session-migration
 Suggests: gnome-user-guide,
-          desktop-base,
+#          desktop-base,
           gnome-keyring
 Provides: x-session-manager
+Breaks: gnome-session-wayland (<< 3.22.1)
+Replaces: gnome-session-wayland (<< 3.22.1)
 Description: GNOME Session Manager - GNOME 3 session
  The GNOME Session Manager is in charge of starting the core components
  of the GNOME desktop, and applications that should be launched at
@@ -56,6 +61,31 @@
  session, based on the GNOME Shell. It can be started from a display
  manager such as GDM, and requires 3D acceleration to work properly.
 
+Package: gnome-session-wayland
+Architecture: all
+Priority: extra
+Section: oldlibs
+Depends: ${misc:Depends},
+         gnome-session (>= 3.22.1)
+Description: GNOME Session Manager - GNOME 3 session (transitional package)
+ This is a transitional package. It can safely be removed.
+
+Package: ubuntu-session
+Architecture: all
+Depends: ${misc:Depends},
+         dbus-user-session,
+         systemd (>= 231-9git1~),
+         unity-settings-daemon,
+         gnome-session-bin (>= ${binary:Version}),
+         gnome-session-bin (<< ${gnome:NextVersion}),
+         gnome-session-common (= ${binary:Version})
+Recommends: session-migration
+Provides: x-session-manager
+Breaks: upstart (<< 1.13.2-0ubuntu28~)
+Description: Ubuntu session
+ This package contains the required components for the standard Ubuntu session,
+ based on Unity. It can be started from a display manager such as LightDM.
+
 Package: gnome-session-bin
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -63,7 +93,6 @@
          dbus-x11,
          gsettings-desktop-schemas,
          upower (>= 0.9.0),
-         xwayland [linux-any]
 Recommends: libpam-systemd [linux-any]
 Breaks: gdm3 (<< 3.8)
 Description: GNOME Session Manager - Minimal runtime
