## gnome-session 3.26.1

=== debian/changelog ===
gnome-session (3.26.1-0ubuntu5) artful; urgency=medium

  * debian/unity-gnome-shell-migration.17.10.py:
    - Only reset rhythmbox keys if installed (LP: #1723365)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 13 Oct 2017 11:56:41 +0200

gnome-session (3.26.1-0ubuntu4) artful; urgency=medium

  * Make sure ubuntu-xorg.desktop can be translated (as it's "Ubuntu on Xorg")
    (LP: #1715822)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 11 Oct 2017 17:30:38 +0200

gnome-session (3.26.1-0ubuntu3) artful; urgency=medium

  [ Gunnar Hjalmarsson ]
  * debian/patches/ignore_gsettings_region.patch:
    - Ignore the "region" gsettings value - users' setting of LC_*
      variables saved in ~/.pam_environment (LP: #1722002).
  * debian/control, debian/control.in:
    - Suggest gnome-user-docs instead of gnome-user-guide
      (LP: #1691867).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 09 Oct 2017 20:01:00 +0200

gnome-session (3.26.1-0ubuntu2) artful; urgency=medium

  * debian/patches/revert_remove_gnome_session_properties.patch: Fix to work
    with multiple components in XDG_CURRENT_DESKTOP. (LP: #1718553)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 09 Oct 2017 22:52:22 +0100

gnome-session (3.26.1-0ubuntu1) artful; urgency=medium

  [ Marco Trevisan ]
  * Remove scale factor reset in migration script as now handled in the unity
    settings package and only impact people migrating with unity installed
    (LP: #1721082)

  [ Didier Roche ]
  * New upstream release
  * debian/unity-gnome-shell-migration.17.10.py:
    - reset the rhythmbox plugins key and rename the migration script for
      people who installed pre-alpha getting the glib fix where some
      applications weren't supporting the per session override.
      (LP: #1720754)
    - rename it so that can applies to upgraders (the script is idempotent)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 09 Oct 2017 12:23:49 +0200

gnome-session (3.26.0-0ubuntu2) artful; urgency=medium

  [ Jeremy Bicha ]
  * Have gnome-session recommend gnome-themes-standard (Adwaita for GTK+ 2)

  [ ventrical ]
  * unity-session: Recommend zeitgeist-datahub 

 -- ventrical <dale_f_beaudoin@hotmail.com>  Mon, 02 Oct 2017 19:56:50 -0400

gnome-session (3.26.0-0ubuntu1) artful; urgency=medium

  [ Didier Roche ]
  * Add a versioned dependency on GNOME Shell for alternative selection
    so that we ensure the upstream css is on disk. This allow to remove
    the || true in postinst.

  [ Iain Lane ]
  * debian/xdg_dirs_desktop_session.sh: Install a new script into
    /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
    $XDG_{CONFIG,DATA}_DIRS. This fixes GNOME Software back to "Ubuntu
    Software", with the corresponding icon, in the Ubuntu session.
  * New upstream release.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 14 Sep 2017 17:32:12 +0100

gnome-session (3.25.90-0ubuntu4) artful; urgency=medium

  * Add a || true until GNOME Shell migrates to release pocket. We will
    then use a versioned dep.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 11 Sep 2017 12:46:42 +0200

gnome-session (3.25.90-0ubuntu3) artful; urgency=medium

  * Add an alternative to choose gdm upstream GNOME Shell theme. (LP: #1715722)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 11 Sep 2017 11:54:47 +0200

gnome-session (3.25.90-0ubuntu2) artful; urgency=medium

  * Stop building gnome-session & ubuntu-session for s390x because
    they depend on uninstallable gnome-shell/gjs (LP: #1712083)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 26 Aug 2017 16:08:10 -0400

gnome-session (3.25.90-0ubuntu1) artful; urgency=medium

  * New upstream release
  * Drop these patches, fixed a different way in new release:
    - 0001-manager-add-bus-daemon-dbus-api-xml-file.patch
    - 0002-system-add-api-for-detecting-if-this-is-the-last-ses.patch
    - 0003-manager-kill-off-bus-clients-at-log-out.patch
  * Update 50_ubuntu_sessions.patch to follow dropping orientation
    and xrandr plugins from gnome-settings-daemon 3.25.4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Aug 2017 18:23:52 -0400

gnome-session (3.24.1-0ubuntu22) artful; urgency=medium

  * Switch to wayland by default for both ubuntu and GNOME session:
    - debian/rules: revert removal and renaming of GNOME sessions.
    - debian/gnome-session.install: ship the GNOME sessions.
    - debian/patches/50_ubuntu_sessions.patch, debian/ubuntu-session.install:
      Swap the ubuntu session to wayland. Should fallback ex ubuntu-wayland
      session users to "ubuntu" as well.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 21 Aug 2017 14:06:21 +0200

gnome-session (3.24.1-0ubuntu21) artful; urgency=medium

  * Get GNOME Shell session migration handling ubuntu dock keys transition
    from Unity.
  * Rename migration script to include months for existing artful users.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 17 Aug 2017 09:41:05 +0200

gnome-session (3.24.1-0ubuntu20) artful; urgency=medium

  * Add adwaita-icon-theme-full to the gnome session, as more icons like
    nautilus ones are only located within it.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 15 Aug 2017 08:58:50 +0200

gnome-session (3.24.1-0ubuntu19) artful; urgency=medium

  * debian/patches/50_ubuntu_sessions.patch:
    - prepend "ubuntu" to DesktopNames. This will enable us to have per
      session default experiences and session override.
    - append "ubuntu" for unity session. Indeed, Unity overrides will be
      higher in the hierarchy (like button positions) than ubuntu override
      defaults.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 15 Aug 2017 08:13:10 +0200

gnome-session (3.24.1-0ubuntu18) artful; urgency=medium

  * Change main ubuntu session to use the ubuntu gnome-shell mode:
    - enable the mode on logging via env variable so that shell restart
      reload the mode. This avoid an additional script though contrary
      to classic.
    - depends on latest GNOME Shell which provides the mode itself.

