=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
-Standards-Version: 3.9.8
+Uploaders: Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 10),
                dh-exec,
+               dh-migrations,
                gnome-pkg-tools (>= 0.13),
                gnome-common,
                intltool (>= 0.40.6),
@@ -36,16 +37,18 @@
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/gnome-session/ubuntu
 
 Package: gnome-session
-Architecture: any
+Architecture: amd64 arm64 armhf i386 ppc64el
 Depends: ${misc:Depends},
          gnome-settings-daemon (>= 3.23.3),
-#         gnome-shell (>= 3.19),
+         gnome-shell (>= 3.25.91-0ubuntu4~),
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-bin (<< ${gnome:NextVersion}),
          gnome-session-common (= ${binary:Version}),
          xwayland [linux-any]
-Recommends: session-migration
-Suggests: gnome-user-guide,
+Recommends: fonts-cantarell,
+            adwaita-icon-theme-full,   
+            gnome-themes-standard
+Suggests: gnome-user-docs,
 #          desktop-base,
           gnome-keyring
 Provides: x-session-manager
@@ -71,20 +74,49 @@
  This is a transitional package. It can safely be removed.
 
 Package: ubuntu-session
+Architecture: amd64 arm64 armhf i386 ppc64el
+Depends: ${misc:Depends},
+         gnome-settings-daemon (>= 3.23.3),
+         gnome-shell (>= 3.24.3-0ubuntu2),
+         gnome-session-bin (>= ${binary:Version}),
+         gnome-session-bin (<< ${gnome:NextVersion}),
+         gnome-session-common (= ${binary:Version}),
+         xwayland [linux-any]
+Recommends: session-migration,
+            python3,
+Provides: x-session-manager,
+Breaks: unity (<< 7.5.0+17.10.20170619),
+        unity-settings-daemon (<< 15.04.1+17.04.20170619),
+        hud (<< 14.10+17.10.20170619),
+        unity-gtk-module (<< 0.0.0+17.04.20170918),
+Description: Ubuntu session with GNOME Shell
+ This package contains the required components for running a GNOME 3 session
+ with default Ubuntu configuration, based on the GNOME Shell.
+
+Package: unity-session
 Architecture: all
 Depends: ${misc:Depends},
+         unity,
          dbus-user-session,
          systemd (>= 231-9git1~),
          unity-settings-daemon,
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-bin (<< ${gnome:NextVersion}),
-         gnome-session-common (= ${binary:Version})
-Recommends: session-migration
-Provides: x-session-manager
-Breaks: upstart (<< 1.13.2-0ubuntu28~)
-Description: Ubuntu session
- This package contains the required components for the standard Ubuntu session,
- based on Unity. It can be started from a display manager such as LightDM.
+         gnome-session-common (= ${binary:Version}),
+Recommends: session-migration,
+            thunderbird-gnome-support,
+            rhythmbox-plugin-zeitgeist,
+            zeitgeist-datahub,
+Provides: x-session-manager,
+Breaks: upstart (<< 1.13.2-0ubuntu28~),
+        unity (<< 7.5.0+17.10.20170619),
+        unity-settings-daemon (<< 15.04.1+17.04.20170619),
+        hud (<< 14.10+17.10.20170619),
+        unity-gtk-module (<< 0.0.0+17.04.20170918),
+Replaces: ubuntu-session (<< 3.24.1-0ubuntu2),
+Description: Unity session, previous ubuntu default experience.
+ This package contains the required components for the Unity session.
+ It can be started from a display manager such as LightDM.
 
 Package: gnome-session-bin
 Architecture: any
