=== debian/rules ===
--- 
+++ 
@@ -20,12 +20,6 @@
 		--enable-ipv6 \
 		$(CONFFLAGS)
 
-override_dh_auto_install:
-	dh_auto_install
-	# Switch back to Xorg by default
-	rm debian/tmp/usr/share/wayland-sessions/gnome.desktop
-	rm debian/tmp/usr/share/xsessions/gnome-xorg.desktop
-	install -m 0644 debian/gnome-wayland.desktop debian/tmp/usr/share/wayland-sessions
-
 override_dh_install:
 	dh_install --list-missing
+	dh_migrations
